> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get patient details by profile id

> This API provides functionality to get details of a patient by their Eka profile id, from a business' directory.
The patient should have been previously added to the business directory for this API to return the patient's details.




## OpenAPI

````yaml get /dr/v1/patient/{patient_id}
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /dr/v1/patient/{patient_id}:
    get:
      tags:
        - Patient Registration API
      summary: Get patient details by profile id
      description: >
        This API provides functionality to get details of a patient by their Eka
        profile id, from a business' directory.

        The patient should have been previously added to the business directory
        for this API to return the patient's details.
      operationId: Getpatientdetailsbyid
      parameters:
        - name: auth
          in: header
          required: true
          description: >
            The auth token of the business. It is used to authenticate the
            client. This should be fetched from auth API.
          schema:
            type: string
          example: >
            eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
        - name: patient_id
          in: path
          required: true
          description: Patient's Eka profile id
          schema:
            type: string
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
              example: Tue, 24 Mar 2020 06:26:06 GMT
            Content-Length:
              schema:
                type: string
              example: '380'
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: nginx/1.10.3 (Ubuntu)
            Vary:
              schema:
                type: string
              example: Cookie, Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15768000
          content:
            application/json:
              schema:
                type: object
                properties:
                  patient_id:
                    type: string
                    example: '189673451298376'
                  partner_patient_id:
                    type: string
                    example: MO1298376
                  first_name:
                    type: string
                    example: Raj
                  middle_name:
                    type: string
                    example: ''
                  last_name:
                    type: string
                    example: Sharma
                  gender:
                    type: string
                    enum:
                      - M
                      - F
                      - O
                    example: M
                  dob:
                    type: string
                    format: date
                    example: '1988-11-30'
                  email:
                    type: string
                    example: raj.sharma@example.com
                  mobile:
                    type: string
                    example: '+919876543210'
                  address:
                    type: object
                    properties:
                      line1:
                        type: string
                        example: B504, Seabreeze Heights,
                      city:
                        type: string
                        example: Mumbai
                      pincode:
                        type: string
                        example: '400001'
                  tag:
                    type: string
                    example: tag#1
                  partner_meta:
                    type: object
                    additionalProperties: true
                    example:
                      key1: value1
                  created_at:
                    type: integer
                    example: 1732607432
                  relations:
                    type: array
                    items:
                      type: object
                      properties:
                        relation:
                          type: string
                          enum:
                            - Husband
                            - Wife
                            - Father
                            - Mother
                            - Son
                            - Daughter
                            - Brother
                            - Sister
                            - Grandfather
                            - Grandmother
                            - Spouse
                            - Father & Mother
                            - Cousin Brother
                            - Cousin Sister
                            - Paternal Uncle
                            - Paternal Aunt
                            - Maternal Uncle
                            - Maternal Aunt
                            - Paternal Grandfather
                            - Paternal Grandmother
                            - Maternal Grandfather
                            - Maternal Grandmother
                            - Great grandfather
                            - Great grandmother
                            - Niece
                            - Nephew
                          example: Husband
                        pid:
                          type: string
                          example: '144051779835569'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    example: {}
                  status_code:
                    type: integer
                    example: 403
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: UNAUTHORIZED_ACCESS
                      message:
                        type: string
                        example: >-
                          You do not have permission to get details for this
                          patient
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: PATIENTS_NOT_FOUND
                      message:
                        type: string
                        example: >-
                          No patients found with the provided id belonging to
                          this business
                  status_code:
                    type: integer
                    example: 404
                  success:
                    type: boolean
                    example: false
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    example: {}
                  status_code:
                    type: integer
                    example: 500
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: SERVER_ERROR
                      message:
                        type: string
                        example: An unexpected error occurred on the server
      deprecated: false

````